<template>
<select :class="classNames" @change="onChange($event)" :name="name">
  <option v-for="(option, i) in options" :value="option.name" :key="i" :selected="option.active">{{option.description}}</option>
</select>
</template>
<script>
export default {
  name: "bselect",
  props: {
    name: {
      type: String,
      default: ""
    },
    classNames:{
      type: String,
      default: ""
    },
    options: {
      type: Array,
      default: () =>{
        return []
      }
    }
  },
  methods: {
    onChange: function(e) {
      this.$emit('input-change',{
        'input':e.target.name,
        'value':e.target.value
      });
    }
  }
};
</script>

